# Spare Parts

Electronic parts can be delicate, and a greenpower car, especially in the rain, isn't the friendliest environment. Every now and then new components will be needed. Unfortunately Greenpower doesn't stock them, but they are cheap and readily available online from sites such as Amazon, eBay and if you can wait a couple of weeks, even cheaper from AliExpress.

The parts most likely to need replacing are the Bluetooth Module and Arduino. Below are some recommendations for how much parts should cost and where to find them

Spare parts that are specific to eChook and not available elsewhere can be purchased at [shop.echook.uk](https://shop.echook.uk/?product_cat=greenpower).

#### Bluetooth Module

Search for *HC-05 Bluetooth Module*.

Amazon: Expect to pay £6-£8

eBay: Expect to pay £3-£6 from UK sellers, <£3 from China

#### Arduino Nano

Search for *Arduino Nano 328.* There are two variants of the nano, the 328 and the 168. Both will work, however the 328 is the variant this documentation covers. For more info check the ['About the Arduino Nano'](/all-about-the-arduino-nano.md) section.

Amazon: Expect to pay around £7

eBay: Expect to pay around £4 from UK sellers, £1.50+ from China

If you need any help or advice sourcing parts feel free to ask on the forum or give us a message.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.echook.uk/spare-parts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
